Package org.kapott.hbci.sepa.jaxb.pain_008_001_02

# Class CreditorReferenceInformationSEPA1

java.lang.Object
org.kapott.hbci.sepa.jaxb.pain_008_001_02.CreditorReferenceInformationSEPA1

public class CreditorReferenceInformationSEPA1 extends Object

Java class for CreditorReferenceInformationSEPA1 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="CreditorReferenceInformationSEPA1">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Tp" type="{urn:iso:std:iso:20022:tech:xsd:pain.008.001.02}CreditorReferenceTypeSEPA"/>
             <element name="Ref" type="{urn:iso:std:iso:20022:tech:xsd:pain.008.001.02}Max35Text"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

## Field Summary

Fields
Modifier and Type
Field
Description
`protected String`
`ref`
`protected CreditorReferenceTypeSEPA`
`tp`

## Constructor Summary

Constructors
Constructor
Description
`CreditorReferenceInformationSEPA1()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getRef()`
Gets the value of the ref property.
`CreditorReferenceTypeSEPA`
`getTp()`
Gets the value of the tp property.
`void`
`setRef(String value)`
Sets the value of the ref property.
`void`
`setTp(CreditorReferenceTypeSEPA value)`
Sets the value of the tp property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### tp

protected CreditorReferenceTypeSEPA tp

### ref

protected String ref

## Constructor Details

### CreditorReferenceInformationSEPA1

public CreditorReferenceInformationSEPA1()

## Method Details

### getTp

public CreditorReferenceTypeSEPA getTp()
Gets the value of the tp property.

Returns:
  possible object is `CreditorReferenceTypeSEPA`

### setTp

public void setTp(CreditorReferenceTypeSEPA value)
Sets the value of the tp property.

Parameters:
  `value` - allowed object is `CreditorReferenceTypeSEPA`

### getRef

public String getRef()
Gets the value of the ref property.

Returns:
  possible object is `String`

### setRef

public void setRef(String value)
Sets the value of the ref property.

Parameters:
  `value` - allowed object is `String`